using BS.Shared;
using System;

namespace BeWo.Data.Entities
{
    public class ChatMessage : BeWoEntityBase
    {

        public static string PropertyName_ChatText = "ChatText";

        public static string PropertyName_Uhrzeit = "Uhrzeit";

        public static string PropertyName_EmpfängerPersonOid = "EmpfängerPersonOid";

        public static string PropertyName_SenderPersonOid = "SenderPersonOid";

        private string _ChatText;

        private DateTime _Uhrzeit;

        private long? _EmpfängerPersonOid;

        private long? _SenderPersonOid;


        public virtual string ChatText
        {
            get
            {
                return _ChatText;
            }

            set
            {
                if (this.AreDifferent(this._ChatText, value))
                {
                    this._ChatText = value;
                }
            }
        }

        public virtual DateTime Uhrzeit
        {
            get
            {
                return this._Uhrzeit;
            }

            set
            {
                if (this.AreDifferent(this._Uhrzeit, value))
                {
                    this._Uhrzeit = value;
                }
            }
        }

        public virtual long? EmpfängerPersonOid
        {
            get
            {
                return this._EmpfängerPersonOid;
            }

            set
            {
                if (this.AreDifferent(this._EmpfängerPersonOid, value))
                {
                    this._EmpfängerPersonOid = value;
                }
            }
        }

        public virtual long? SenderPersonOid
        {
            get
            {
                return this._SenderPersonOid;
            }

            set
            {
                if (this.AreDifferent(this._SenderPersonOid, value))
                {
                    this._SenderPersonOid = value;
                }
            }
        }
       

    }
}